PATCH
/
v1
/
companies
/
{companyId}
curl
curl -X PATCH "https://dev-partner-api.sannos.ai/v1/companies/01ABCCOMPAN" \
  -H "X-API-Key: $EVE_COMPANY_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"string","legalName":"string","country":"string","taxId":"string","phone":"string","address":"string","postalCode":"string","city":"string"}'
{
  "companyId": "<string>",
  "message": "<string>",
  "updatedFields": [
    "<string>"
  ]
}

Authorizations

X-API-Key
string
header
required

API Key provided by Eve Admin Portal. Include this header in all authenticated requests.

Path Parameters

companyId
string
required

Body

application/json
name
string | null
country
string | null
taxId
string | null
phone
string | null
address
string | null
postalCode
string | null
city
string | null

Response

companyId
string
message
string
updatedFields
string[]